Imports SPSS.BackendAPI.Controller
Imports Microsoft.Win32

Public Class SPSSPlugInClass1
    Public SPSSP As Processor
    Sub PlugIn()
        ' Locate SPSS and create a new instance of the Processor
        ' Statistics and graphics will be created by the Processor for display in the application,
        ' but the SPSS user interface will never appear

        Dim regiKey As Microsoft.Win32.RegistryKey = Registry.LocalMachine.OpenSubKey("SOFTWARE\SPSS\SPSS-NET 16.0\SPSS")
        If Not regiKey Is Nothing Then
            Dim SpssXdPath As String = regiKey.GetValue("").ToString()
            SPSSP = New Processor(SpssXdPath)
        Else
            SPSSP = New Processor()
        End If


    End Sub
End Class
